Documentation Index
Fetch the complete documentation index at: https://docs.yabetoopay.com/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint
POST https://pay.sandbox.yabetoopay.com/v1/payment-intents # Sandbox
POST https://pay.api.yabetoopay.com/v1/payment-intents # Production
Authentification
Utilisez votre clé secrète dans l’en-tête Authorization :
Authorization: Bearer YOUR_SECRET_KEY
Corps de la requête
| Paramètre | Type | Obligatoire | Description |
|---|
amount | number | Oui | Le montant à payer (dans la plus petite unité de devise) |
currency | string | Oui | Code devise (ex: xaf, xof) |
description | string | Non | Description du paiement |
metadata | object | Non | Données personnalisées pour votre référence |
Exemple de requête
curl -X POST https://pay.sandbox.yabetoopay.com/v1/payment-intents \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_SECRET_KEY" \
-d '{
"amount": 2000,
"currency": "xaf",
"description": "Paiement pour produit",
"metadata": { "orderId": "1234" }
}'
Réponse
200 OK
{
"amount": 10000,
"currency": "xaf",
"description": "Payment for product",
"metadata": {
"orderId": "orderId-22"
},
"accountId": "acct_xsd",
"liveMode": false,
"label": "payment_intent",
"id": "pi_OYgGCdY1VaWvszwZcAY7VXvuXI70Ao9rsuMl",
"createdAt": "2026-02-16T15:33:55.048+00:00",
"updatedAt": "2026-02-16T15:33:55.062+00:00",
"clientSecret": "pi_OYgGCdY1VaWvszwZcAY7VXvuXI70Ao9rsuMl_secret_JYtxzKNhuwDCilaH72rEtMGuAlJl29qYAnOe"
}
422 Bad Request
{
"errors": [
{
"rule": "required",
"field": "currency",
"message": "required validation failed"
}
]
}
401 Unauthorized
{
"error": "Unauthorized"
}